.cookie-popup{
    position: fixed;
    background: rgba(0,0,0,0.65);
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    display: flex;
    z-index: 100000;
    opacity: 0;
    animation: cookieShadow 0.5s cubic-bezier(.4, 0, .2, 1) 0.05s forwards;
}

.cookie-popup-form{
    margin: 3rem auto auto;
    width: 100%;
    max-width: 640px;
    opacity: 0;
    background: var(--color-white);
    animation: cookiePopup 0.45s ease-in-out 0.7s forwards;
}

.cookie-popup-title{
    font-size: 1.35rem;
    line-height: 1.25;
    padding: 1rem 1.5rem;
    margin-bottom: 0;
}

.cookie-popup-text{
    font-size: 1rem;
    line-height: 1.5;
    margin-bottom: 0;
}
.cookie-popup-tab-content{
    padding: 0.75rem 1.25rem 1.25rem;
}

.cookie-actions{
    display: flex;
    justify-content: space-between;
    column-gap: 1rem;
    padding: 1.25rem;
}

.accept-cookie {
    background: var(--color-darkredwine);
    color: var(--color-white);
    font-size: 1rem;
    line-height: 3rem;
    height: 3rem;
    font-weight: 600;
    padding-left: 0;
    padding-right: 0;
    text-align: center;
    flex: 1 1 auto;
}

.settings-cookie {
    border: 2px solid var(--color-darkredwine);
    color: var(--color-darkredwine);
    font-size: 1rem;
    line-height: 3rem;
    height: 3rem;
    font-weight: 600;
    padding-left: 0;
    padding-right: 0;
    text-align: center;
    flex: 1 1 auto;
}

.cookie-popup-switcher{
    border-right: 1px solid #eee;
}

.cookie-popup-switcher button{
    background: transparent;
    border: none;
}
.cookie-popup-checkbox{
    font-weight: 400;
    position: relative;
    margin-bottom: 1rem;
}
.cookie-popup-checkbox input{
    position: absolute;
    width: 2rem;
    height: 1rem;
    opacity: 0;
    left: 0;
    top: 0;
}

.cookie-popup-checkbox label{
    padding-left: 3.5rem;
    cursor: pointer;
}
.cookie-popup-checkbox label span{

}
.cookie-popup-checkbox label::before{
    content: '';
    display: block;
    width: 48px;
    height: 24px;
    border: 1px solid #ddd;
    background: #eee;
    border-radius: 12px;
    position: absolute;
    left: 0;
    transition: all 0.1s  ease-in-out;
    box-shadow: inset 0 0 1px #aaa;
}

.cookie-popup-checkbox label::after{
    content: '';
    display: block;
    position: absolute;
    border: 1px solid #ddd;
    height: 24px;
    width: 24px;
    border-radius: 50%;
    left: 0;
    top: 0;
    background: #fff;
    transition: all 0.1s  ease-in-out;
}

.cookie-popup-checkbox input:checked + label::before{
    background: var(--color-darkredwine);
    border-color: var(--color-darkredwine);
}

.cookie-popup-checkbox input:checked + label::after{
     border-color: var(--color-darkredwine);
     transform: translateX(24px);
 }

.cookie-popup-checkbox input:disabled + label{
    cursor: not-allowed;
}

.cookie-popup-checkbox input:disabled + label::before{
    background: #bbb;
    border-color: #bbb;
}

.cookie-popup-checkbox input:disabled + label::after {
    border-color: #bbb;
}

.cookie-popup-content{
    display: grid;
    grid-template-columns: 1fr 3fr;
    border-top: 1px solid #eee;
    border-bottom: 1px solid #eee;

}
.is-active, .not-active{
    font-size: 1rem;
    display: block;
    padding: 1rem 1.25rem;
    color: inherit;
    width: 100%;
    text-align: left;
    cursor: pointer;
}

.is-active{
    background: #f0f0f0 !important;
}

@keyframes cookieShadow {
    0% {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes cookiePopup {
    0% {
        transform: translateY(-25%);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}
